%global pypi_name os-ken

Summary:        A component-based software defined networking framework for OpenStack.
Name:           python-%{pypi_name}
Version:        2.5.0
Release:        1%{?dist}
License:        Apache-2.0
URL:            http://www.openstack.org/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Os-ken is a fork of the Ryu library tailored for OpenStack Neutron. It provides software 
components with well defined API that make it easy for developers to create new network
management and control applications.

%package -n python3-%{pypi_name}
Summary:        A component-based software defined networking framework for OpenStack.
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-routes python3-webob python3-eventlet python3-msgpack
BuildRequires:  python3-netaddr python3-oslo-config python3-openvswitch python3-six
Requires:       python3-routes python3-webob python3-eventlet python3-msgpack python3-six
Requires:       python3-netaddr python3-oslo-config python3-openvswitch python3-pbr
Provides:       python-%{pypi_name}

%description -n python3-%{pypi_name}
Os-ken is a fork of the Ryu library tailored for OpenStack Neutron. It provides software 
components with well defined API that make it easy for developers to create new network
management and control applications.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}

%files -n python3-%{pypi_name}
%{_docdir}/*
%{_bindir}/osken*
%dir %{python3_sitelib}/*
%{python3_sitelib}/os_ken
%{python3_sitelib}/*.egg-info

%changelog
* Tue Sep 26 2023 cunshunxia <cunshunxia@tencent.com> - 2.5.0-1
- Upgrade to version 2.5.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Wang Guodong <gordonwwang@tencent.com> - 2.3.1-1
- initial build
